petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMNetworkGetSupportingEdges

Return the supporting edges for this vertex point

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetSupportingEdges(DM dm,PetscInt vertex,PetscInt *nedges,const PetscInt *edges[])

Not Collective

### Input Parameters

| dm | - The DMNetwork object
| p | - the vertex point

### Output Paramters

| nedges | - number of edges connected to this vertex point
| edges | - List of edge points

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must include petsc.h90 in your code.

### See Also

DMNetworkCreate, DMNetworkGetConnectedNodes

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages